Commit ada19066 authored by Marc-André Lureau's avatar Marc-André Lureau
Browse files

build: dbus-glib is only required for telepathy

parent 432e3d4e
......@@ -108,7 +108,6 @@ PKG_CHECK_MODULES(VINAGRE, \
gthread-2.0 >= $GTHREAD_REQUIRED \
gnome-keyring-1 \
libxml-2.0 >= $XML_REQUIRED \
dbus-glib-1 \
libpeas-1.0 >= $PEAS_REQUIRED \
libpeas-gtk-1.0 >= $PEAS_REQUIRED
)
......@@ -187,6 +186,7 @@ AC_ARG_ENABLE(telepathy,
if test "x$enable_telepathy" != "xno"; then
PKG_CHECK_MODULES(TELEPATHY,
[
dbus-glib-1 \
telepathy-glib >= $TELEPATHY_GLIB_REQUIRED
], have_telepathy="yes", have_telepathy="no")
if test "x$have_telepathy" = "xyes"; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment